* {
	margin: 0;
	padding: 0;
	--margin: 0px;
	--border-radius: 20px;
}

body {
	overflow: hidden;
}

html {
	width: 100vw;
	height: 100vh;
	scroll-behavior: smooth;
	/* background: rgba(0, 0, 0, 0.884); */
	font-size: 18px;
	font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica, Arial, sans-serif;
	color: white;
	text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
	overflow-wrap: break-word;
}

#statusContainer {
	font-weight: 500;
	font-size: 30px;
	text-align: center;
	background-color: #D12025;
	color: white;
	padding: 10px;
	border-radius: 10px;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

#mainContainer {
	position: absolute;
	height: calc(100% - 2 * var(--margin));
	width: calc(100% - 2 * var(--margin));
	margin: var(--margin);
}

#messageList {
	position: absolute;
	bottom: 0;
	right: 0;
	display: flex;
	align-items: flex-end;
	flex-direction: row;
	flex-wrap: nowrap;
	text-justify: right;
	overflow: hidden;
	white-space: nowrap;
}

#alertBox {
	position: absolute;
	bottom: 0;
	right: 50%;
	transform: translateX(50%);
	overflow: hidden;
	white-space: nowrap;
	width: 100%;
	height: 1.7em;
	display: flex;
	align-items: flex-end;
	justify-content: center;
}

#alertBoxContent {
	font-weight: 700;
	line-height: 1.7em;
	text-align: center;
	/* background-color: red; */
}

#background {
	position: absolute;
	bottom: 0;
	right: 50%;
	transform: translateX(50%);
	width: 100%;
	height: 1.7em;
	background: var(--background);
	bottom: calc(-1 * var(--margin));
	z-index: -100;
}

@keyframes showAlertBox {
	0% {
		bottom: calc(-1 * var(--margin) - 1.7em);
	}

	100% {
		bottom: 0px;
	}
}

@keyframes hideAlertBox {
	0% {
		bottom: 0px;
	}

	100% {
		bottom: calc(-1 * var(--margin) - 1.7em);
	}
}

li {
	list-style: none;
	overflow: hidden;
	max-width: 0px;
	transition: all 1s ease-in-out;
}

.slide-fade li {
	transition: all var(--animation-speed) ease-out;
	/* opacity: 1; */
}

.slide-fade li.show {
	/* opacity: 1; */
}

#IPutThisHereSoICanCalculateHowBigEachMessageIsSupposedToBeBeforeIAddItToTheMessageList {
	/* margin-top: 10px; */
	background: #2FB774;
	display: inline;
	opacity: 0;
	overflow: hidden;
	white-space: nowrap;
}

.avatar {
	height: 1em;
	margin: 1px;
	transform: translate(0px, 0.25em);
	border-radius: 50%
}

.user-flag {
	height: 1em;
	margin-left: 0.2em;
	vertical-align: -0.1em;
}

.timestamp,
.pronouns {
	background: #adadad46;
	/* border-radius: var(--border-radius); */
	border-radius: 1em;
	font-size: 0.7em;
	/* padding: 5px 15px; */
	padding: 0.15em 0.5em;

}

.bits {
	background: #adadad46;
	border-radius: calc(var(--border-radius) / 2);
	font-size: 0.7em;
	padding: 5px 10px;
}

.platform,
.badge {
	height: 1em;
	margin: 1px;
	transform: translate(0px, 0.25em);
}

.emote {
	height: 1.5em;
	margin: 1px;
	transform: translate(0px, 0.4em);
}

#badgeList {
	margin: 0px 5px;
}

#username,
#title {
	font-weight: 700;
}

.title {
	font-weight: 700;
}

#message {
	font-weight: 700;
	line-height: 1.7em;
	margin: 0px 5px;
}

/* .firstMessage {
	display: none;
	font-size: 0.7em;
} */

/* .highlightMessage {
	background: #adadad46;
	padding: 20px 40px;
	border-radius: var(--border-radius);
} */

/* .reply {
	display: none;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	font-size: 0.7em;
	opacity: 0.5;
} */

/* .card {
	background: #adadad46;
	padding: 20px 40px;
	border-radius: var(--border-radius);
} */

/* .youtube-super-sticker {
	display: block;
} */

/* .sticker-img {
	height: 5em;
} */

/*****************/
/** CARD COLORS **/
/*****************/

.announcementBlue {
	background: linear-gradient(#03d3d7, #8d49fe) !important;
}

.announcementGreen {
	background: linear-gradient(#01da86, #55bee4) !important;
}

.announcementOrange {
	background: linear-gradient(#feb419, #e1df00) !important;
}

.announcementPurple {
	background: linear-gradient(#9548ff, #fc74e6) !important;
}

.twitch {
	background: linear-gradient(#6d5ca1, #9146ff) !important;
}

.youtube {
	background: linear-gradient(#FF6C60, #FF0707) !important;
}

.streamlabs {
	background: linear-gradient(#73dabb, #397765) !important;
}

.streamelements {
	background: linear-gradient(#263b8a, #0a112a) !important;
}

.patreon {
	background: linear-gradient(#c76633, #fd5e0a) !important;
}

.kofi {
	background: linear-gradient(#54c7ee, #08c2ff) !important;
}

.tipeeeStream {
	background: linear-gradient(#120e23, #5d192a) !important;
}

.fourthwall {
	background: linear-gradient(#466edb, #1c56f5) !important;
}

.blank {
	background: #adadad00 !important;
}

/****************/
/** ANIMATIONS **/
/****************/

.statusConnected {
	animation-name: statusConnected;
	animation-duration: 2s;
	animation-fill-mode: forwards;
}

.statusDisconnected {
	animation-name: statusDisconnected;
	animation-duration: 0.5s;
	animation-fill-mode: forwards;
}

@keyframes statusConnected {
	0% {
		opacity: 1;
		background-color: #2FB774;
	}

	100% {
		opacity: 0;
		background-color: #2FB774;
	}
}

@keyframes statusDisconnected {
	0% {
		background-color: #D12025;
	}

	100% {
		background-color: #D12025;
	}
}
